Name:           cockpit-image-builder
Version:        65
Release:        1.20250428104051584568.pr3153.45.g321abbfc%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-66.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Mon Apr 28 2025 Packit <hello@packit.dev> - 65-1.20250428104051584568.pr3153.45.g321abbfc
- Red Hat Konflux update image-builder-frontend Signed-off-by: red-hat-konflux <konflux@no-reply.konflux-ci.dev> (red-hat-konflux)
- devDeps: Bump `vitest` and `@vitest/coverage-v8` (regexowl)
- chore(deps): update konflux references (red-hat-konflux[bot])
- Wizard: Update search input placeholders (regexowl)
- test/Blueprints: Account for removed BetaLabel (Simon Steinbeiss)
- Components: Remove BetaLabel widget (Simon Steinbeiss)
- src: Remove `ouia-id`s (regexowl)
- playwright: Adjust Package step test to new widget (Simon Steinbeiss)
- Wizard: Use SearchInput component for packages (Simon Steinbeiss)
- Wizard: add support for content templates (Bryttanie House)
- build(deps-dev): bump @currents/playwright from 1.12.0 to 1.12.1 (dependabot[bot])
- build(deps-dev): bump @types/node from 22.13.14 to 22.15.1 (dependabot[bot])
- Wizard: Fix 'too short' state in Packages step (Simon Steinbeiss)
- test: Remove WSL flag from unleash test mock (regexowl)
- src: Remove `pkgRecs` flag (regexowl)
- Wizard: Set `hasPassword` in requestMapper (regexowl)
- store: Remove unused selectors (regexowl)
- Wizard: Update Users review text list (regexowl)
- Wizard: Add password placeholder for edit mode (regexowl)
- store: Update imageBuilder API (regexowl)
- Wizard: Update WSL popover wording (regexowl)
- build(deps-dev): bump @babel/preset-typescript from 7.26.0 to 7.27.0 (dependabot[bot])
- build(deps-dev): bump http-proxy-middleware from 2.0.7 to 2.0.9 (dependabot[bot])
- build(deps-dev): bump chart.js from 4.4.8 to 4.4.9 (dependabot[bot])
- Update Konflux references (red-hat-konflux[bot])
- src: Addressing comments (regexowl)
- test: Dancing around snyk (regexowl)
- test: Add new tests (regexowl)
- test: Cleanup tests a bit (regexowl)
- Wizard: Add support for multiple users (regexowl)
- Wizard: Resolve failing tests (regexowl)
- Wizard: Remove "Support" column (regexowl)
- Wizard: Add expandable rows (regexowl)
- Wizard: Minor changes (regexowl)
- Wizard: Replace toggle with tabs (regexowl)
- api: Update content-sources API schema (regexowl)
- Wizard: Update periods at the end of lines (regexowl)
- Wizard/Oscap: Add analytics (HMS-5990) (Lucas Garfield)
- test: add test for linting and fixing blueprints (Sanne Raymaekers)
- ImagesTable/Toolbar: add alert with blueprint linter errors (Sanne Raymaekers)
- api: support linting and fixing of blueprints (Sanne Raymaekers)
- ImagesTable/BlueprintsSideBar: Add Segment tracking (HMS-5989) (Lucas Garfield)
- Wizard: Fix Select's dropdown closing (Anna Vítová)
- Wizard: add segment tracking (Katarina Sieklova)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
